#
# spec file for package susedoc-buildbook (Version 0.19)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           susedoc-buildbook
License:        GPL-2.0+
Group:          Documentation/SUSE
AutoReqProv:    on
Summary:        susedoc Book Build Script
Version:        1.0
Release:        8.2
Source:         %{name}-%{version}.tar.bz2
Url:            https://svn.berlios.de/svnroot/repos/opensuse-doc/trunk/susedoc-buildbook
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The susedoc book build script builds the output formats of a book
or the complete product documentation in the SVN and submits the
result to a Build Service instance such as http://build.opensuse.org
(OBS).

%define INSTALL install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
for bin in daps2bs.sh update_spec.pl; do
  test -f $RPM_BUILD_ROOT/usr/bin/$bin && \
  mv $RPM_BUILD_ROOT/usr/bin/$bin $RPM_BUILD_ROOT/usr/bin/${bin%\.*}
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Thu Apr 11 2013 ke@suse.de
- 1.0:
  * daps2bs.sh: new script that supports daps 1.1.4 and newer.  All the
  other scripts such as buildbook are obsolete and thus no longer
  shipped or installed.
* Mon Dec 12 2011 coolo@suse.com
- the sources say it's GPL-2.0+
* Mon Mar 14 2011 ke@suse.de
- 0.21:
  * Use installed sm-index.jsp.in.
* Wed Mar  9 2011 ke@suse.de
- 0.20:
  * buildbook.sh: For susemanager, make local PDF files available to the
  Web UI (bnc#676666).
  * buildbook.sh: bugfixes (replace hard-coded api server name; fix quoting).
  * buildbook.sh: allow skipping updating .changes.
* Tue Nov  9 2010 ke@suse.de
- 0.19:
  * fix one of the submitreq commands.
* Fri Oct 29 2010 ke@suse.de
- 0.18:
  * fix typo.
  * initpac: copy doc_pre_checkin.sh from the file system.
* Wed Oct 27 2010 ke@suse.de
- 0.17:
  * doc_pre_checkin.sh: New.
  * buildbook.sh: New features: copypac and initpac; allow automatic
  submitreq; allow check_pack on-the-fly.
* Tue Sep 21 2010 ke@suse.de
- 0.16:
  * update_spec.pl: Fix typo (use obsoletes).
  * buildbook: Fix the obsoleting opensuse-manuals_??-pdf statement.
* Fri Sep 10 2010 ke@suse.de
- 0.15:
  * Fix broken book.spec.in template file (add missing "}").
* Wed Sep  8 2010 ke@suse.de
- 0.14:
  * Work around bnc#626368 (%%{summary}).
* Mon Aug  2 2010 ke@suse.de
- 0.13:
  * Use private doc_pre_checkin.sh (instead of pre_checkin.sh).
* Thu Jul 29 2010 ke@suse.de
- 0.12:
  * Fix typo.
* Thu Jul 29 2010 ke@suse.de
- 0.11:
  * Fix quoting.
* Tue Jul 20 2010 ke@suse.de
- 0.10:
  * Use update_spec in the buildbook script.
* Thu Jul 15 2010 ke@suse.de
- 0.9:
  * New helper tool: update_spec
* Fri Jul  2 2010 ke@suse.de
- 0.8:
  * Better support of BS devel project setup.
  * Check whether user is maintainer of the BS devel project.
  * Use versioned provides/obsoletes.
* Wed Jun 30 2010 ke@suse.de
- 0.7:
  * Remove default pdf sub-package from the template spec file;
  bnc#618691.
* Thu Jun 17 2010 ke@suse.de
- 0.6:
  * buildbook.sh: Add usage info; thanks to Jürgen Weigert.  Drop
  buildbook_usage.patch.
  * buildbook.sh and book.spec.in: Remove some outdated Obsolete
  statements.
  * book.spec.in: Stop shipping useless .desktop files (kde3 feature).
  * buildbook.sh and book.spec.in: Stop shipping *LICENSE.txt files.
* Fri May  7 2010 jw@novell.com
- do not use .sh suffix in /us/bin
- added usage to buildbook.sh that helps at least past
  the stdin reading problem.
- made it noarch
* Wed May  5 2010 ke@suse.de
- 0.5:
  * Prepare local build without submitting to the OBS/IBS (--prep-local).
  * Remove spurious "as" in .document; drop
  susedoc-build-dot-document.patch.
  * Add obsoletes for slepos-guide; bnc#602450.
* Thu Apr 22 2010 ke@suse.de
- susedoc-build-dot-document.patch: Fix .document.
* Thu Apr  1 2010 ke@suse.de
- 0.4:
  * Provide default .changes entry.
  * Remove obsolete buildbook.sh script.
  * Rename buildbook-for-obs.sh to buildbook.sh and provide a
  compatibility link.
* Wed Mar 10 2010 ke@suse.de
- 0.3:
  * Fix name in toplevel .document file.
  * Provide .desktop files for the KDE4 help center; bnc#586682.
* Tue Mar  2 2010 ke@suse.de
- 0.2:
  * Lowercase referenced directories in yelp files (PDF).
* Thu Feb 25 2010 ke@suse.de
- New package: version 0.1.
